summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2019-03-30 21:15:10 +0800
committerJason Zaman <perfinion@gentoo.org>2019-04-05 23:38:27 +0800
commit51ff477d2558f80d208c707d8e1a22b5d31951ca (patch)
treedd4aedaa545e936d02b44f512a6a04212f1360f2 /sci-libs
parentsci-visualization/tensorboard: bump 1.13.1 (diff)
downloadgentoo-51ff477d2558f80d208c707d8e1a22b5d31951ca.tar.gz
gentoo-51ff477d2558f80d208c707d8e1a22b5d31951ca.tar.bz2
gentoo-51ff477d2558f80d208c707d8e1a22b5d31951ca.zip
sci-libs/tensorflow-estimator: bump 1.13.0
Signed-off-by: Jason Zaman <perfinion@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/tensorflow-estimator/Manifest1
-rw-r--r--sci-libs/tensorflow-estimator/tensorflow-estimator-1.13.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/sci-libs/tensorflow-estimator/Manifest b/sci-libs/tensorflow-estimator/Manifest
index 410ce339186..69be229fa9c 100644
--- a/sci-libs/tensorflow-estimator/Manifest
+++ b/sci-libs/tensorflow-estimator/Manifest
@@ -1 +1,2 @@
+DIST tensorflow-estimator-1.13.0.tar.gz 530871 BLAKE2B 4f208ed20e10fa68e06d21c9865cd07623e14362bdcff456bc9b412431c8f12f289c8a8f8ad89cb1f0ec98b1432844632d7e1097ea29d40bf6f67b90b4968f93 SHA512 e4be92b805776d2be5f391f737f1043b994f42721173c4d4a7dbf3fac9b00121cb072091a474bf71c7dcd952fc8b330cf9254c7a5ad9d096ba1cdc12ba12078b
DIST tensorflow-estimator-1.13.0_rc0.tar.gz 531012 BLAKE2B 1398fdec5b81a7bab7ccfb2d37b8094c4ef4b96562e2c6b8b4e565cad3c234245b5d8dfb30a79b73302fc0764b1d3503d4ee2d4363a9d2e635b36fb8e2b726b4 SHA512 c8ad78d0df294c7471f1577880905be08edcc038878e9d197b975f33f91192e9c413d13fa70e8fa1ff760ad6bf6141f199322bf2076568690e75fa38bd5a4cf4
diff --git a/sci-libs/tensorflow-estimator/tensorflow-estimator-1.13.0.ebuild b/sci-libs/tensorflow-estimator/tensorflow-estimator-1.13.0.ebuild
new file mode 100644
index 00000000000..a5aede9bca2
--- /dev/null
+++ b/sci-libs/tensorflow-estimator/tensorflow-estimator-1.13.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2019 Jason Zaman
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python{3_5,3_6,3_7} )
+MY_PN="estimator"
+MY_PV=${PV/_rc/-rc}
+MY_P=${MY_PN}-${MY_PV}
+
+inherit bazel distutils-r1 flag-o-matic toolchain-funcs
+
+DESCRIPTION="A high-level TensorFlow API that greatly simplifies machine learning programming"
+HOMEPAGE="https://www.tensorflow.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+SRC_URI="https://github.com/tensorflow/${MY_PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+RDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-java/java-config"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}/0001-pip_package-modularize-build-script-to-allow-distros.patch"
+)
+DOCS=( CONTRIBUTING.md README.md )
+
+src_prepare() {
+ bazel_setup_bazelrc
+ default
+}
+
+src_compile() {
+ export JAVA_HOME=$(java-config --jre-home)
+
+ ebazel build //tensorflow_estimator/tools/pip_package:build_pip_package
+ ebazel shutdown
+
+ local srcdir="${T}/src"
+ mkdir -p "${srcdir}" || die
+ bazel-bin/tensorflow_estimator/tools/pip_package/build_pip_package --src "${srcdir}" || die
+}
+
+src_install() {
+ do_install() {
+ cd "${T}/src" || die
+ esetup.py install
+ python_optimize
+ }
+ python_foreach_impl do_install
+
+ cd "${S}" || die
+ einstalldocs
+}